Bug 188697 - [patch] multimedia/mplayer fix UTF-8
Summary: [patch] multimedia/mplayer fix UTF-8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-16 17:50 UTC by anonymous
Modified: 2014-04-21 21:20 UTC (History)
0 users

See Also:


Attachments
file.diff (470 bytes, patch)
2014-04-16 17:50 UTC, anonymous
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description anonymous 2014-04-16 17:50:00 UTC
Nether "C.UTF-8" or "en_US.utf8" locale exists on FreeBSD.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2014-04-16 17:50:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->riggs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-04-18 16:07:44 UTC
Author: riggs
Date: Fri Apr 18 15:07:38 2014
New Revision: 351544
URL: http://svnweb.freebsd.org/changeset/ports/351544
QAT: https://qat.redports.org/buildarchive/r351544/

Log:
  - Bring back VPX option, thus fixing potential (de-)install dependencies
  - Handle UTF-8 charset properly in libvo
  - Bump PORTREVISION
  
  PR:		ports/188657, ports/188697
  Submitted by:	anonymous <anonymous@gmail.com>
  Approved by:	jadawin (co-mentor)
  MFH: 2014Q2

Added:
  head/multimedia/mplayer/files/patch-libvo-x11_common.c   (contents, props changed)
Modified:
  head/multimedia/mencoder/Makefile
  head/multimedia/mplayer/Makefile

Modified: head/multimedia/mencoder/Makefile
==============================================================================
--- head/multimedia/mencoder/Makefile	Fri Apr 18 15:05:06 2014	(r351543)
+++ head/multimedia/mencoder/Makefile	Fri Apr 18 15:07:38 2014	(r351544)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 
 COMMENT=	Convenient video file and movie encoder
 

Modified: head/multimedia/mplayer/Makefile
==============================================================================
--- head/multimedia/mplayer/Makefile	Fri Apr 18 15:05:06 2014	(r351543)
+++ head/multimedia/mplayer/Makefile	Fri Apr 18 15:07:38 2014	(r351544)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 
 COMMENT=	High performance media player supporting many formats
 
@@ -14,7 +14,7 @@ OPTIONS_DEFINE=	AALIB AMR_NB AMR_WB BLUR
 		LADSPA LIBMNG LIRC LZO NAS OCFLAGS \
 		OPENAL OPENGL OPENJPEG OPUS OTCHAIN \
 		PULSEAUDIO REAL RTC RTCPU RTMP SCHROEDINGER SDL \
-		SKINS SMB SVGALIB V4L VDPAU WIN32 \
+		SKINS SMB SVGALIB V4L VDPAU VPX WIN32 \
 		X11 X11DGA X11VM XINERAMA XVIDEO XVMC
 
 OPTIONS_RADIO=	RGCD

Added: head/multimedia/mplayer/files/patch-libvo-x11_common.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/mplayer/files/patch-libvo-x11_common.c	Fri Apr 18 15:07:38 2014	(r351544)
@@ -0,0 +1,10 @@
+--- libvo/x11_common.c	2013-10-16 17:07:12.000000000 -0700
++++ libvo/x11_common.c	2014-04-16 09:15:27.888658589 -0700
+@@ -430,7 +430,7 @@
+     }
+ 
+     // Required so that XLookupString returns UTF-8
+-    if (!setlocale(LC_CTYPE, "C.UTF-8") && !setlocale(LC_CTYPE, "en_US.utf8"))
++    if (!setlocale(LC_CTYPE, "en_US.UTF-8"))
+         mp_msg(MSGT_VO, MSGL_WARN, "Could not find a UTF-8 locale, some keys will not be handled.\n");
+     XSetErrorHandler(x11_errorhandler);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Thomas Zander freebsd_committer 2014-04-18 16:23:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-04-21 21:16:08 UTC
Author: riggs
Date: Mon Apr 21 20:16:04 2014
New Revision: 351706
URL: http://svnweb.freebsd.org/changeset/ports/351706
QAT: https://qat.redports.org/buildarchive/r351706/

Log:
  MFH: r351544
  
  - Bring back VPX option, thus fixing potential (de-)install dependencies
  - Handle UTF-8 charset properly in libvo
  - Bump PORTREVISION
  
  PR:		ports/188657, ports/188697
  Submitted by:	anonymous <anonymous@gmail.com>
  Approved by:	portmgr (antoine), jadawin (co-mentor)

Added:
  branches/2014Q2/multimedia/mplayer/files/patch-libvo-x11_common.c
     - copied unchanged from r351544, head/multimedia/mplayer/files/patch-libvo-x11_common.c
Modified:
  branches/2014Q2/multimedia/mencoder/Makefile
  branches/2014Q2/multimedia/mplayer/Makefile
Directory Properties:
  branches/2014Q2/   (props changed)

Modified: branches/2014Q2/multimedia/mencoder/Makefile
==============================================================================
--- branches/2014Q2/multimedia/mencoder/Makefile	Mon Apr 21 20:13:49 2014	(r351705)
+++ branches/2014Q2/multimedia/mencoder/Makefile	Mon Apr 21 20:16:04 2014	(r351706)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mencoder
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 
 COMMENT=	Convenient video file and movie encoder
 

Modified: branches/2014Q2/multimedia/mplayer/Makefile
==============================================================================
--- branches/2014Q2/multimedia/mplayer/Makefile	Mon Apr 21 20:13:49 2014	(r351705)
+++ branches/2014Q2/multimedia/mplayer/Makefile	Mon Apr 21 20:16:04 2014	(r351706)
@@ -3,7 +3,7 @@
 
 PORTNAME=	mplayer
 PORTVERSION=	${MPLAYER_PORT_VERSION}
-PORTREVISION=	1
+PORTREVISION=	2
 
 COMMENT=	High performance media player supporting many formats
 
@@ -14,7 +14,7 @@ OPTIONS_DEFINE=	AALIB AMR_NB AMR_WB BLUR
 		LADSPA LIBMNG LIRC LZO NAS OCFLAGS \
 		OPENAL OPENGL OPENJPEG OPUS OTCHAIN \
 		PULSEAUDIO REAL RTC RTCPU RTMP SCHROEDINGER SDL \
-		SKINS SMB SVGALIB V4L VDPAU WIN32 \
+		SKINS SMB SVGALIB V4L VDPAU VPX WIN32 \
 		X11 X11DGA X11VM XINERAMA XVIDEO XVMC
 
 OPTIONS_RADIO=	RGCD

Copied: branches/2014Q2/multimedia/mplayer/files/patch-libvo-x11_common.c (from r351544, head/multimedia/mplayer/files/patch-libvo-x11_common.c)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q2/multimedia/mplayer/files/patch-libvo-x11_common.c	Mon Apr 21 20:16:04 2014	(r351706, copy of r351544, head/multimedia/mplayer/files/patch-libvo-x11_common.c)
@@ -0,0 +1,10 @@
+--- libvo/x11_common.c	2013-10-16 17:07:12.000000000 -0700
++++ libvo/x11_common.c	2014-04-16 09:15:27.888658589 -0700
+@@ -430,7 +430,7 @@
+     }
+ 
+     // Required so that XLookupString returns UTF-8
+-    if (!setlocale(LC_CTYPE, "C.UTF-8") && !setlocale(LC_CTYPE, "en_US.utf8"))
++    if (!setlocale(LC_CTYPE, "en_US.UTF-8"))
+         mp_msg(MSGT_VO, MSGL_WARN, "Could not find a UTF-8 locale, some keys will not be handled.\n");
+     XSetErrorHandler(x11_errorhandler);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"